Bug 1132008 - Review Request: rubygem-openssl_cms - OpenSSL with CMS functions
Summary: Review Request: rubygem-openssl_cms - OpenSSL with CMS functions
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Josef Stribny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1149407
TreeView+ depends on / blocked
 
Reported: 2014-08-20 13:44 UTC by František Dvořák
Modified: 2016-01-04 05:53 UTC (History)
3 users (show)

Fixed In Version: rubygem-openssl_cms-0.0.2-2.20140212gitb789b69.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-14 04:43:39 UTC
jstribny: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description František Dvořák 2014-08-20 13:44:10 UTC
Spec URL: http://scientific.zcu.cz/fedora/rubygem-openssl_cms-0.0.2-1.20140212git7fea071/rubygem-openssl_cms.spec
SRPM URL: http://scientific.zcu.cz/fedora/rubygem-openssl_cms-0.0.2-1.20140212git7fea071/rubygem-openssl_cms-0.0.2-1.20140212gitb789b69.fc22.src.rpm
Description: OpenSSL with Cryptographic Message Syntax functions for Ruby.
Fedora Account System Username: valtri

koji build (f22): http://koji.fedoraproject.org/koji/taskinfo?taskID=7430845
koji build (f20): http://koji.fedoraproject.org/koji/taskinfo?taskID=7430735

Note, that gem names differs according to ruby version. Packaging solution here is having one source package (rubygem-openssl_cms), which will produce binary subpackage with proper name (like rubygem-openssl_cms_2_1).

Comment 1 Josef Stribny 2014-10-08 11:13:10 UTC
* Please use new %license macro for the license files.


Otherwise spec looks sane, rpmlint doesn't complain, package builds, installs and works => APPROVING.

Comment 2 František Dvořák 2014-10-08 13:11:13 UTC
New Package SCM Request
=======================
Package Name: rubygem-openssl_cms
Short Description: OpenSSL with CMS functions
Upstream URL: https://github.com/arax/openssl-cms
Owners: valtri
Branches: f20 f21 epel7
InitialCC:

Comment 3 Gwyn Ciesla 2014-10-08 13:18:48 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-10-08 21:17:44 UTC
rubygem-openssl_cms-0.0.2-1.20140212gitb789b69.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rubygem-openssl_cms-0.0.2-1.20140212gitb789b69.fc21

Comment 5 Fedora Update System 2014-10-08 21:18:39 UTC
rubygem-openssl_cms-0.0.2-1.20140212git7fea071.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rubygem-openssl_cms-0.0.2-1.20140212git7fea071.fc20

Comment 6 Fedora Update System 2014-10-08 21:21:53 UTC
rubygem-openssl_cms-0.0.2-1.20140212git7fea071.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/rubygem-openssl_cms-0.0.2-1.20140212git7fea071.el7

Comment 7 Fedora Update System 2014-10-10 15:57:09 UTC
rubygem-openssl_cms-0.0.2-2.20140212gitb789b69.fc21 has been pushed to the Fedora 21 testing repository.

Comment 8 Fedora Update System 2014-10-14 04:43:39 UTC
rubygem-openssl_cms-0.0.2-2.20140212gitb789b69.fc21 has been pushed to the Fedora 21 stable repository.

Comment 9 Fedora Update System 2014-10-19 13:24:02 UTC
rubygem-openssl_cms-0.0.2-1.20140212git7fea071.fc20 has been pushed to the Fedora 20 stable repository.

Comment 10 Fedora Update System 2014-10-28 11:06:53 UTC
rubygem-openssl_cms-0.0.2-1.20140212git7fea071.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.